const human = (theme) => ({
	'.hv-wrapper': {
		position: 'relative',
		width: 70,
		height: 30,
		borderRadius: theme('borderRadius.md'),
		backgroundColor: 'transparent',
		border: '1px solid',
		borderColor: theme('colors.field.input.border'),
		'&:before': {
			content: 'var(--hv-slider-content-before)',
			position: 'absolute',
			top: 5,
			left: 8,
			fontSize: 13,
			zIndex: 1
		},
		'&:after': {
			content: 'var(--hv-slider-content-after)',
			position: 'absolute',
			top: 5,
			right: 8,
			fontSize: 13,
			zIndex: 1
		},
		'.hv-slider': {
			position: 'absolute',
			left: 0,
			top: 0,
			zIndex: 2,
			height: 28,
			width: 28,
			border: '1px solid white',
			borderRadius: theme('borderRadius.md'),
			cursor: 'grab',
			background: theme('colors.status.error.background'),
			'&--ok': {
				cursor: 'no-drop',
				background: theme('colors.status.success.background')
			}
		}
	},
	'.hv-tips': {
		marginLeft: '.5rem'
	}
});

module.exports = ({ addComponents, theme }) => {
	addComponents(human(theme));
};

module.exports.human = human;
