const buildState = (theme, border, bg) => {
	return {
		'& > div:first-of-type': {
			border: `1px solid ${border}`,
			borderRight: 'none',
			borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
			backgroundColor: bg,
			'& > div': {
				padding: theme('spacing.3'),
				margin: '.25rem',
				'& > svg': {
					color: theme('colors.white')
				}
			}
		},
		'& > div:nth-of-type(2)': {
			width: '100%',
			border: `1px solid ${border}`,
			backgroundColor: 'white',
			borderLeft: 'none',
			paddingLeft: theme('spacing.5'),
			paddingRight: theme('spacing.5'),
			borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
			display: 'flex',
			alignItems: 'center'
		}
	};
};

const message = (theme) => ({
	'.message': {
		width: '100%',
		display: 'flex',
		color: theme('colors.black'),
		borderRadius: theme('borderRadius.md'),
		backgroundColor: 'white',
		'&--none': Object.assign(buildState(theme, theme('colors.gray.400'), theme('colors.gray.200')), {
			'& > div:first-of-type > div > svg': {
				color: theme('colors.black')
			}
		}),
		'&--info': buildState(theme, theme('colors.status.info.border'), theme('colors.status.info.background')),
		'&--success': buildState(theme, theme('colors.status.success.border'), theme('colors.status.success.background')),
		'&--warning': buildState(theme, theme('colors.status.warning.border'), theme('colors.status.warning.background')),
		'&--error': buildState(theme, theme('colors.status.error.border'), theme('colors.status.error.background'))
	}
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
